# Run tests in check section
%bcond_without check

%global goipath         gopkg.in/pipe.v2
%global forgeurl        https://github.com/go-pipe/pipe
%global commit          3c2ca4d525447ec8b2f606a6974f9c9f40831f26

%global common_description %{expand:
Unix-like pipelines for Go.}

%global golicenses LICENSE
%global godocs README.md
%gometa

Name:           %{goname}
Version:        0
Release:        %mkrel 0.4
Summary:        Unix-like pipelines for Go
Group:          Development/Golang
License:        BSD
URL:            %{gourl}
Source0:        %{gosource}
BuildArch:      noarch

%if %{with check}
BuildRequires: golang(gopkg.in/check.v1)
%endif

%description
%{common_description}

%gopkg

%prep
%goprep


%install
%gopkginstall


%if %{with check}
%check
# https://github.com/go-pipe/pipe/issues/6
%gocheck -skip TestLineTermination
%endif

%gopkgfiles


%changelog
* Fri Jul 04 2025 umeabot <umeabot> 0-0.4.mga10
+ Revision: 2246566
- Mageia 10 Mass Rebuild
+ wally <wally>
- update RPM group to Development/Golang

* Thu Dec 29 2022 pterjan <pterjan> 0-0.3.mga9
+ Revision: 1927949
- Disable broken test

* Thu Oct 29 2020 joequant <joequant> 0-0.2.mga8
+ Revision: 1640380
- fix build

* Mon Nov 26 2018 pterjan <pterjan> 0-0.1.mga7
+ Revision: 1334838
- imported package golang-gopkg-pipe-2


* Fri Jul 13 2018 Fedora Release Engineering <releng@fedoraproject.org> - 0-0.2.git3c2ca4d
- Rebuilt for https://fedoraproject.org/wiki/Fedora_29_Mass_Rebuild

* Sat Mar 24 2018 Robert-André Mauchin <zebob.m@gmail.com> - 0-0.1.20180419git3c2ca4d
- First package for Fedora

